import React from 'react';
import type { ChangeFilterEvent } from '../modules/change-filter';
export declare const QueryBarComponentProvider: React.Provider<React.FC<{
    insights?: import("@mongodb-js/compass-components").Signal | import("@mongodb-js/compass-components").Signal[] | undefined;
    queryOptionsLayout?: (import("../constants/query-option-definition").QueryOption | import("../constants/query-option-definition").QueryOption[])[] | undefined;
    placeholders?: Record<"filter" | "project" | "collation" | "sort" | "skip" | "limit" | "maxTimeMS", string> | undefined;
    buttonLabel?: string | undefined;
    resultId?: string | number | undefined;
    showExplainButton?: boolean | undefined;
    showExportToLanguageButton?: boolean | undefined;
    onApply?: ((query: unknown) => void) | undefined;
    onReset?: ((query: unknown) => void) | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
} & {
    children?: React.ReactNode;
}>>;
export declare const useQueryBarComponent: () => React.FC<{
    insights?: import("@mongodb-js/compass-components").Signal | import("@mongodb-js/compass-components").Signal[] | undefined;
    queryOptionsLayout?: (import("../constants/query-option-definition").QueryOption | import("../constants/query-option-definition").QueryOption[])[] | undefined;
    placeholders?: Record<"filter" | "project" | "collation" | "sort" | "skip" | "limit" | "maxTimeMS", string> | undefined;
    buttonLabel?: string | undefined;
    resultId?: string | number | undefined;
    showExplainButton?: boolean | undefined;
    showExportToLanguageButton?: boolean | undefined;
    onApply?: ((query: unknown) => void) | undefined;
    onReset?: ((query: unknown) => void) | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
} & {
    children?: React.ReactNode;
}>;
export declare function useQueryBarQuery(): Partial<{
    filter: import("bson").Document;
    project: import("bson").Document;
    collation: import("bson").Document;
    sort: import("bson").Document;
    skip: number;
    limit: number;
    maxTimeMS: number;
}>;
export declare function useChangeQueryBarQuery<T extends ChangeFilterEvent['type']>(): (type: T, payload: (Extract<{
    type: "clearValue";
    payload: {
        field: string;
    };
}, {
    type: T;
}> | Extract<{
    type: "setValue";
    payload: {
        field: string;
        value: unknown;
        unsetIfSet?: boolean | undefined;
    };
}, {
    type: T;
}> | Extract<{
    type: "setDistinctValues";
    payload: {
        field: string;
        value: unknown;
    };
}, {
    type: T;
}> | Extract<{
    type: "setRangeValues";
    payload: {
        field: string;
        min?: unknown;
        minInclusive?: boolean | undefined;
        max?: unknown;
        maxInclusive?: boolean | undefined;
        unsetIfSet?: boolean | undefined;
    };
}, {
    type: T;
}> | Extract<{
    type: "addDistinctValue";
    payload: {
        field: string;
        value: unknown;
    };
}, {
    type: T;
}> | Extract<{
    type: "removeDistinctValue";
    payload: {
        field: string;
        value: unknown;
    };
}, {
    type: T;
}> | Extract<{
    type: "toggleDistinctValue";
    payload: {
        field: string;
        value: unknown;
    };
}, {
    type: T;
}> | Extract<{
    type: "mergeGeoQuery";
    payload: unknown;
}, {
    type: T;
}> | Extract<{
    type: "setGeoWithinValue";
    payload: {
        field: string;
        center: [number, number];
        radius: number;
    };
}, {
    type: T;
}>)["payload"]) => void;
//# sourceMappingURL=hooks.d.ts.map