import React from 'react';
import type { ReactReduxContextValue, TypedUseSelectorHook } from 'react-redux';
import { Provider as ReduxProvider } from 'react-redux';
import type { AnyAction, Store } from 'redux';
import type { ThunkActionDispatch } from 'redux-thunk';
import type { RootState } from './query-bar-store';
type QueryBarStore = Store<RootState, AnyAction> & {
    dispatch: ThunkActionDispatch<any>;
};
export declare const QueryBarStoreContext: React.Context<ReactReduxContextValue<import("redux").CombinedState<{
    queryBar: {
        isReadonlyConnection: boolean;
        fields: import("../constants/query-properties").QueryFormFields;
        expanded: boolean;
        serverVersion: string;
        schemaFields: unknown[];
        lastAppliedQuery: Partial<{
            filter: import("bson").Document;
            project: import("bson").Document;
            collation: import("bson").Document;
            sort: import("bson").Document;
            skip: number;
            limit: number;
            maxTimeMS: number;
        }> | null;
        applyId: number;
        namespace: string;
        host?: string | undefined;
        recentQueries: {
            _id: string;
            _lastExecuted: Date;
            _ns: string;
            _host?: string | undefined;
            filter?: any;
            project?: any;
            collation?: any;
            sort?: any;
            skip?: number | undefined;
            limit?: number | undefined;
            update?: any;
        }[];
        favoriteQueries: {
            _id: string;
            _lastExecuted: Date;
            _ns: string;
            _name: string;
            _dateSaved: Date;
            _dateModified?: Date | undefined;
            _host?: string | undefined;
            filter?: any;
            project?: any;
            collation?: any;
            sort?: any;
            skip?: number | undefined;
            limit?: number | undefined;
            update?: any;
        }[];
        preferencesMaxTimeMS: number | null;
    };
    aiQuery: import("./ai-query-reducer").AIQueryState;
}>, AnyAction>>;
export declare const Provider: typeof ReduxProvider;
export declare const useStore: () => QueryBarStore;
export declare const useDispatch: () => QueryBarStore['dispatch'];
export declare const useSelector: TypedUseSelectorHook<RootState>;
export declare const connect: import("react-redux").Connect<unknown>;
export {};
//# sourceMappingURL=context.d.ts.map